This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 90229 - Makefile doesn't copy file on SunOS/Solaris
Makefile doesn't copy file on SunOS/Solaris
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: logrotate (Show other bugs)
9
All Linux
medium Severity low
: ---
: ---
Assigned To: Elliot Lee
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-05 15:01 EDT by Laurent Goujon
Modified: 2015-01-07 19:04 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-09 11:26:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to solve the problem (572 bytes, patch)
2003-05-05 15:02 EDT, Laurent Goujon
no flags Details | Diff

  None (edit)
Description Laurent Goujon 2003-05-05 15:01:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3) Gecko/20030313

Description of problem:
make install doesn't copy files on Solaris (logrotate and logrotate.8)

Version-Release number of selected component (if applicable):
logrotate-3.6.8

How reproducible:
Always

Steps to Reproduce:
1. make install
    

Additional info:

Just modify the Mafefile to solve this problem :

--- logrotate-3.6.8/Makefile    2002-11-15 12:42:02.000000000 +0100
+++ logrotate-3.6.8-solaris/Makefile    2003-05-05 20:37:05.490372000 +0200
@@ -99,7 +99,7 @@
        $(INSTALL) $(MAN) $(PREFIX)/$(MANDIR)/man`echo $(MAN) | sed "s/.*\.//"`
0644 bin bin; \
        fi

-       if [ "$(OS_NAME)" = Linux ]; then \
+       if [ "$(OS_NAME)" = Linux -o "$(OS_NAME)" = SunOS ]; then \
        $(INSTALL) -m 755 $(PROG) $(PREFIX)/$(BINDIR); \
        $(INSTALL) -m 644 $(MAN) $(PREFIX)/$(MANDIR)/man`echo $(MAN) | sed
"s/.*\.//"`/$(MAN); \
        fi
Comment 1 Laurent Goujon 2003-05-05 15:02:56 EDT
Created attachment 91502 [details]
Patch to solve the problem
Comment 2 Elliot Lee 2003-07-09 11:26:02 EDT
I'll just change it to fallback to the Linux behaviour if OS_NAME != HP-UX

Note You need to log in before you can comment on or make changes to this bug.